import {defineStore} from "pinia";

export const useTenantStore = defineStore("tenant", {
	state: () => ({
		tenantNo: "",
		tenantName: "",
		updateTime: new Date()
	}),
	getters: {
		isLogin: (state) => state.tenantNo !== "" && state.tenantName !== ""
	},
	persist: {
		enabled: true
	},
	actions: {
		login() {
			this.tenantNo = "123456";
			this.tenantName = "123456";
			this.updateTime = new Date();
		},
		logout() {
			this.tenantNo = "";
			this.tenantName = "";
			this.updateTime = new Date();
			console.log("--------------");
		}
	},
});
